Package com.collibra.dgc.core.api.dto.user

# Enum Class NameSearchField

Object
Enum<NameSearchField>
NameSearchField

All Implemented Interfaces:
  `Serializable`, `Comparable<NameSearchField>`, `Constable`

public enum NameSearchField extends Enum<NameSearchField>
User fields that can be searched when finding users by name.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EMAIL`
  Look for occurrences of the search substring in the user's e-mail address.
  `FIRSTNAME`
  Look for occurrences of the search substring in the user's first name.
  `FIRSTNAME_LASTNAME`
  Look for occurrences of the search substring in the concatenation of the user's first name and last name.
  `LASTNAME`
  Look for occurrences of the search substring in the user's last name.
  `LASTNAME_FIRSTNAME`
  Look for occurrences of the search substring in the concatenation of the user's last name and first name.
  `USERNAME`
  Look for occurrences of the search substring in the user's username.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSortColumnName()`
  Deprecated.
  column names as string should not be permitted
  `static NameSearchField`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NameSearchField[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### USERNAME

    public static final NameSearchField USERNAME
    Look for occurrences of the search substring in the user's username.

  - ### FIRSTNAME

    public static final NameSearchField FIRSTNAME
    Look for occurrences of the search substring in the user's first name.

  - ### LASTNAME

    public static final NameSearchField LASTNAME
    Look for occurrences of the search substring in the user's last name.

  - ### LASTNAME_FIRSTNAME

    public static final NameSearchField LASTNAME_FIRSTNAME
    Look for occurrences of the search substring in the concatenation of the user's last name and first name.

  - ### FIRSTNAME_LASTNAME

    public static final NameSearchField FIRSTNAME_LASTNAME
    Look for occurrences of the search substring in the concatenation of the user's first name and last name.

  - ### EMAIL

    public static final NameSearchField EMAIL
    Look for occurrences of the search substring in the user's e-mail address.

- ## Method Details

  - ### values

    public static NameSearchField[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NameSearchField valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getSortColumnName

    @Deprecated(since="2024.02") public String getSortColumnName()
    Deprecated.
    column names as string should not be permitted